Page MenuHomePhabricator

Syntax Highlighting popover: styling breaks translatability
Closed, ResolvedPublic1 Story Points

Description

In the popover, "Syntax" and "Highlighting" are two separate messages, with each having its own styling. This makes translation difficult -- in some languages, the words are in a different order, and seeing them as two separate messages to translate may lead translators to make incorrect translations.

Should we reconsider this approach?

Reported on the meta talk page:

https://meta.wikimedia.org/wiki/Talk:Community_Tech/Wikitext_editor_syntax_highlighting#Breaking_an_interface_title_in_two_messages

Event Timeline

DannyH created this task.Aug 25 2017, 10:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2017, 10:54 PM

Pretty much. I'd say having one part of the string be bold and the other not was a bad idea to begin with.

kaldari triaged this task as Normal priority.Sep 5 2017, 11:42 PM
kaldari set the point value for this task to 1.

Should the text between the braces in { Syntax Highlighting } be all-blue or all-black?

Change 377183 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/CodeMirror@master] Join the popup label into one message

https://gerrit.wikimedia.org/r/377183

Should the text between the braces in { Syntax Highlighting } be all-blue or all-black?

Blue, I think.

Cool! The patch above is ready for review then.

Change 377183 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Join the popup label into one message

https://gerrit.wikimedia.org/r/377183

Yeah, blue is fine. Thanks!

@Samwilson, @DannyH: Having it in blue makes it look like a link. Can we choose some other color? How about purple (#80c). That's the color we use for template highlighting.

Yeah I wondered about that. Purple looks a bit like a visited link (but better than blue I think):

Yeah I wondered about that. Purple looks a bit like a visited link (but better than blue I think):

Green? :P

What do you think?

Looks good to me!

Change 377376 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/CodeMirror@master] Change popup label colour to green

https://gerrit.wikimedia.org/r/377376

Niharika closed this task as Resolved.Sep 12 2017, 12:39 AM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

Change 377376 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Change popup label colour to green

https://gerrit.wikimedia.org/r/377376

DannyH moved this task from Estimated to Archive on the Community-Tech board.Sep 15 2017, 9:24 PM